ITECONFIG(8)

NAME
iteconfig - modify console attributes at run time

SYNOPSIS
iteconfig [-i] [-f file] [-v volume] [-p pitch] [-t msec] [-w width] [-h height] [-d depth] [-x offset] [-y offset] [color ...]

DESCRIPTION
iteconfig is used to modify or examine the attributes of the console bell and bitmapped console display. The console bell's volume, pitch, and count may be specified, as well as the bitmapped display's width, height, horizontal and vertical offset, pixel depth, and color map.

The following flags are interpreted by iteconfig:

-i  After processing all other arguments, print information about the console's state.

-f  Open and use the terminal named by file rather than the default console /dev/ttye0.

-v  Set the volume of the console bell to volume, which must be between 0 and 63, inclusive.

-p  Set the pitch of the console bell to pitch, which must be between 10 and 1399.

-t  Set the duration of the beep to msec milliseconds which must be between 1 and 5000 (5 seconds).

-w  Set the width of the console display to width pixel columns. Width must be a positive integer.

-h  Set the height of the console display to height pixel rows. Height must be a positive integer.

-d  Set the number of bitplanes the console view should use to depth. For example, if depth is 3 then 8 colors will be used.

-x  Set the horizontal offset of the console view on the monitor to offset pixel columns. The horizontal offset may be a positive or a negative integer, positive being an offset to the right, negative to the left.

-y  Set the vertical offset of the console view on the monitor to offset pixel rows. The vertical offset may be a positive or a negative integer, positive being an offset down, negative up.

Any additional arguments will be interpreted as colors and will be used to supply the color values for the console view's color map, starting with the first entry in the map. (See the COLOR SPECIFICATION section of this manual page for information on how to specify colors.) If more colors are supplied than are usable by the console view, a warning is printed and the extra colors are ignored.

COLOR SPECIFICATION
Colors are hexadecimal numbers which have one of the following formats:

0xRRGGBB
    RR, GG, and BB are taken to be eight-bit values specifying the intensities of the red, green and blue components, respectively, of the color to be used. For example, 0xff0000 is bright red, 0xffffff is white, and 0x008080 is dark cyan.

0xGG
    GG is taken to be an eight-bit value specifying the intensity of grey to be used. A value of 0x00 is black, a value of 0xff is white, and a value of 0x80 is a grey approximately half way in between.

0xM M is taken to be the one-bit monochrome value to be used. A value of 0x1 is black, and a value of 0x0 is white.

BUGS
The iteconfig command is only available on the amiga and atari ports.